package redisrpc

import (
	"net/rpc"

	"git.tetele.net/tgo/conf"
)

func Conn(url ...string) (*RedisServiceClient, *rpc.Client, error) {

	var rpc_url string
	if len(url) > 0 && url[0] != "" {
		rpc_url = url[0]
	} else if conf.REDIS_RPC_URL != "" {
		rpc_url = conf.REDIS_RPC_URL
	} else {
		rpc_url = "127.0.0.1:" + conf.REDIS_RPC_PORT
	}

	return DialRedisService("tcp", rpc_url)

}
